<?php
/**
Template Name: WP Optins Page
*/
$image_url=WPOPTINS_URL.'images';
$font_url=WPOPTINS_URL.'fonts';
$blog_url=get_bloginfo('url');

$year = date("Y",time());

$layout=get_post_meta($post->ID, "wpoptins_layout", true);
$warning_text=get_post_meta($post->ID, "wpoptins_warning_text", true);
$youtube_code=get_post_meta($post->ID, "wpoptins_youtube_code", true);
$warning_text = wordwrap($warning_text, 38, "<br />\n");
$action_text=get_post_meta($post->ID, "wpoptins_action_text", true);
$privacy_text=get_post_meta($post->ID, "wpoptins_privacy_text", true);
if($privacy_text){$privacy_text="<p class=privacyText><img src=$image_url/icon_padlock.png> $privacy_text</p>";}
$add_border=get_post_meta($post->ID, "wpoptins_add_border", true);
$form_code=get_post_meta($post->ID, "wpoptins_form_code", true);
$bg_color=get_post_meta($post->ID, "wpoptins_bg_color", true);
$table_color=get_post_meta($post->ID, "wpoptins_table_color", true);
$page_width=get_post_meta($post->ID, "wpoptins_page_width", true);
if(!$page_width){$page_width=700;}
$round_border=get_post_meta($post->ID, "wpoptins_round_border", true);
$add_shadow=get_post_meta($post->ID, "wpoptins_add_shadow", true);
$box_bg=get_post_meta($post->ID, "wpoptins_box_bg", true);
$box_bg_dark=get_post_meta($post->ID, "wpoptins_box_bg_dark", true);
$arrows=get_post_meta($post->ID, "wpoptins_arrows", true);
$bullet=get_post_meta($post->ID, "wpoptins_bullet", true);
$bg_img=get_post_meta($post->ID, "wpoptins_bg_img", true);
$logo=get_post_meta($post->ID, "wpoptins_logo", true);
$button_text=get_post_meta($post->ID, "wpoptins_button_text", true);
$button_color=get_post_meta($post->ID, "wpoptins_button_color", true);
$submit_button=$button_text.$button_color.'.png';

$headline=get_post_meta($post->ID, "wpoptins_headline", true);
$headline = str_replace("\n","<br>", $headline);

$headline_family=get_post_meta($post->ID, "wpoptins_headline_family", true);
$headline_size=get_post_meta($post->ID, "wpoptins_headline_size", true);
$headline_style=get_post_meta($post->ID, "wpoptins_headline_style", true);
$headline_color=get_post_meta($post->ID, "wpoptins_headline_color", true);
$headline_height=get_post_meta($post->ID, "wpoptins_headline_height", true);
$headline_spacing=get_post_meta($post->ID, "wpoptins_headline_spacing", true);
$headline_shadow=get_post_meta($post->ID, "wpoptins_headline_shadow", true);

if($headline_style=='Normal')$headline_style='normal';$headline_weight='normal';
if($headline_style=='Italic')$headline_style='italic';$headline_weight='normal';
if($headline_style=='Bold')$headline_style='normal';$headline_weight='bold';
if($headline_style=='Bold/Italic')$headline_style='italic';$headline_weight='bold';

if($headline_shadow=='Small'){$headline_shadow="'1px 1px #777'";}
elseif($headline_shadow=='Medium'){$headline_shadow="'2px 2px #777'";}
elseif($headline_shadow=='Large'){$headline_shadow="'3px 3px #777'";}
else{$headline_shadow = 'false';}

$subhead=get_post_meta($post->ID, "wpoptins_subhead", true);
$subhead = str_replace("\n","<br>", $subhead);
$subhead_family=get_post_meta($post->ID, "wpoptins_subhead_family", true);
$subhead_size=get_post_meta($post->ID, "wpoptins_subhead_size", true);
$subhead_style=get_post_meta($post->ID, "wpoptins_subhead_style", true);
$subhead_color=get_post_meta($post->ID, "wpoptins_subhead_color", true);
$subhead_height=get_post_meta($post->ID, "wpoptins_subhead_height", true);
$subhead_spacing=get_post_meta($post->ID, "wpoptins_subhead_spacing", true);
$subhead_shadow=get_post_meta($post->ID, "wpoptins_subhead_shadow", true);

if($subhead_style=='Normal')$subhead_style='normal';$subhead_weight='normal';
if($subhead_style=='Italic')$subhead_style='italic';$subhead_weight='normal';
if($subhead_style=='Bold')$subhead_style='normal';$subhead_weight='bold';
if($subhead_style=='Bold/Italic')$subhead_style='italic';$subhead_weight='bold';

if($subhead_shadow=='Small'){$subhead_shadow="'1px 1px #777'";}
elseif($subhead_shadow=='Medium'){$subhead_shadow="'2px 2px #777'";}
elseif($subhead_shadow=='Large'){$subhead_shadow="'3px 3px #777'";}
else{$subhead_shadow = 'false';}

$privacy_id = get_option('wpoptins_privacy_id');
$terms_id = get_option('wpoptins_terms_id');
$disclaimer_id = get_option('wpoptins_disclaimer_id');
$support_id = get_option('wpoptins_support_id');
$contact_id = get_option('wpoptins_contact_id');

if($privacy_id OR $terms_id OR $disclaimer_id):?>
	<?$privacy_url=get_post_permalink($privacy_id);?>
	<?$terms_url=get_post_permalink($terms_id);?>
	<?$disclaimer_url=get_post_permalink($disclaimer_id); ?>

	<?$links="";?>

	<?if(get_post($privacy_id)):
	$privacy_url=get_post_permalink($privacy_id);
	$links.="<a href=\"$privacy_url\" target=\"_blank\">Privacy Policy</a>";
	?>
	<?endif;?>

	<?if(get_post($terms_id)):
	$terms_url=get_post_permalink($terms_id);
	$links.=" | <a href=\"$terms_url\" target=\"_blank\">Terms of Service</a>";
	?>
	<?endif;?>

	<?if(get_post($disclaimer_id)):
	$disclaimer_url=get_post_permalink($disclaimer_id);
	$links.=" | <a href=\"$disclaimer_url\" target=\"_blank\">Earning Disclaimer</a>";
	?>
	<?endif;?>

	<?if(get_option('wpoptins_support_link')):
	$support_link=get_option('wpoptins_support_link');
	$links.=" | <a href=\"$support_link\" target=\"_blank\">Support</a>";
	?>
	<?endif;?>
	<?if(get_post($contact_id)):
		$contact_url=get_post_permalink($contact_id);
	$links.=" | <a href=\"$contact_url\" target=\"_blank\">Contact</a>";
	?>
	<?endif;?>

	<?$links.="<br>";?>
<?endif;?>

<?
include WPOPTINS_PATH."php/webform.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US" >

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="distribution" content="global" />
<title><?php the_title(); ?></title>

<? include "wpoptins-style.php"; ?>

<script src="<?=$font_url?>/cufon-yui.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Impact_400.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Myriad_Pro.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Hand_Of_Sean.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Arial_Narrow.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Georgia.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Myriad_Pro.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Tahoma.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Vegur.font.js" type="text/javascript"></script>

<!--,textShadow: '#333 1px 1px, #fff -1px -1px',color: '-linear-gradient(#ff0000, #b30000)'-->

<script type="text/javascript">
	Cufon.replace('.headline', { fontFamily: '<?=$headline_family?>',hover: true,textShadow: <?=$headline_shadow?>});
	Cufon.replace('.subhead', { fontFamily: '<?=$subhead_family?>',hover: true,textShadow: <?=$subhead_shadow?>});
</script>

</head>

<body>

<?if($layout == 'fullscreen'):?>

<div id="container">
	<div id="body">
		<div align="center" class="optin">
			<?if($form_code):?>
			<?echo "<img src=$logo>";?>
			<?echo get_optin_form($form_code,$action_text, $submit_button, '1');?>
			<? echo $privacy_text;?>
			<?endif;?>
		</div>
	</div>
	<div id="footer" align=center>	
		<font size=2 color="#777">
		<? echo $links;?>
		Copyright <?=$year;?> <?=get_option('wpoptins_company');?>. All rights reserved.</font>
	</div>
</div>

<?else://Not Full Screen?>

<div align="center" id="container">
<table id="border" border="0" cellspacing="0" cellpadding="30" bgcolor="<?=$table_color;?>" width="<?=$page_width;?>">
    <tr>
      <td> 
  <table border="0" cellspacing="0" width="100%" cellpadding="10">
    <tr>
      <td valign="top" <?if($layout=='sidebar' OR $layout=='combo') echo "colspan=2";?>>

      	<?if($warning_text):?>

			<div align="center">
			  <table border="0" cellpadding="0" cellspacing="0" width="600" id="warning" height="92">
				<tr>
				  <td valign="top"><div class="warningText"><?=$warning_text?></div></td>
				</tr>
			  </table>
			</div>

		<?endif;?>

		<?if($headline):?>

			<div class="headline"><?=$headline?></div>
	
		<?endif;?>
		<?if($subhead):?>

			<div class="subhead"><?=$subhead?></div>
	
		<?endif;?>
		<?if($layout=='sidebar' OR $layout=='combo'):?>
			</td>
			  </tr>
			  <tr>
			<td valign="top" style="text-align: left;padding-right:20px;">
		<?php endif; ?>

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<?php the_content(__('Read more..'));?><div style="clear:both;">
		<?if($youtube_code):?>
		<div align="center" style="margin-bottom: 20px"><?=$youtube_code?></div>
		<?php endif;?>
		<?php endwhile; else: ?>
					
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		<?php endif;?>

		<?if($layout=='combo'):?>
			<?if($arrows != 'noarrows'):?>
				<div align="center" class="getFreeAccess">&nbsp;</div>
			<?php endif; ?>
			<?if($form_code):?>
			<div align="center"><?echo get_optin_form($form_code,$action_text, $submit_button, '2');?></div>
			<? echo "<p>$privacy_text</p>";?>
			<?php endif; ?>

		<?php endif; ?>

		<?if($layout=='sidebar' OR $layout=='combo'):?>
			</td>
			<td valign="top" width="300" style="padding-top:0px";>
		<?php endif; ?>
      		<?if($arrows != 'noarrows'):?>
				<div align="center" class="getFreeAccess">&nbsp;</div>
			<?php endif;?>
			<?if($form_code):?>
			<div align="center"><?echo get_optin_form($form_code, $action_text, $submit_button, '1');?></div>
			<? echo "<p>$privacy_text</p>";?>
			<?php endif; ?>

		<?if($layout=='sidebar' OR $layout=='combo'):?>
			</td>
		  </tr>
		 
		  <tr>
			<td colspan="2">
		<?php endif; ?>

      </td>
    </tr>
    </table>
	<div align=center>	
		<font size=2 color="#333">
		<? echo $links;?>
		Copyright <?=$year;?> <?=get_option('wpoptins_company');?>. All rights reserved.</font>
	</div>
	</td>
    </tr>
    </table>
</div>
<?php endif; //Not Full Screen?>

</body>

</html>
