<style>
<?if($layout == 'fullscreen'):
if(!$bg_img){$bg_img=$image_url.'/tropical-background.jpg';}
?>
#container{
	min-height:100%;
	position:relative;
}
html,body{
	font-family:arial;
	background-color: #<?=$bg_color;?>;
	background: url(<?=$bg_img;?>) no-repeat center center fixed;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	margin: 0px;
	padding: 0px;
	height:100%;   
}
#body {
	padding:10px;
	padding-bottom:40px;   /* Height of the footer */
}
.optin{
 	margin-top:200px;
}
#footer {
	position: absolute;
	bottom: 0px;
	height: 40px;
	text-align: center;
	width: 99%;
}

<?else:?>

html,body{
	font-family:arial;
	background-color: #<?=$bg_color;?>;
	margin-top:20px;
	margin-bottom:20px;
}
<?endif;?>
a,a:visited{
	color: #0075b3;
}
td{
	font-family:arial;
}
.headline{
	text-align: center;
	font-family:<?=$headline_family?>;
	font-size:<?=$headline_size;?>;
	color:#<?=$headline_color?>;
	font-style: <?=$headline_style?>; 
	font-weight: <?=$headline_weight?>;
	letter-spacing: <?=$headline_spacing?>;
	line-height: <?=$headline_height?>;
	margin-bottom: 10px;
}
.subhead{
	text-align: center;
	font-family:<?=$subhead_family?>;
	font-size:<?=$subhead_size;?>;
	color:#<?=$subhead_color?>;
	font-style: <?=$subhead_style?>; 
	font-weight: <?=$subhead_weight?>;
	letter-spacing: <?=$subhead_spacing?>;
	line-height: <?=$subhead_height?>;
	margin-bottom: 20px;
}

form .text {
	background:#ffffff none repeat scroll 0 0;
	border:2px solid #bebebe;
	color:#202020;
	font-size:18px;
	margin-bottom:6px;
	padding:9px 10px 9px;
	width:240px;
}
#warning{
	margin-top:0px;
	margin-bottom:20px;
	width:600px;
	height:92px;
	background: url('<?=$image_url?>/warning.png') no-repeat;
}
.warningText{
	position:relative;
	font-family: Arial;
	font-size:18px;	
	color: #cc0000;
	font-weight: bold;
	margin-left:250px;
	margin-right:20px;
	margin-top:16px;
	line-height:20px;
}
<?if($bullet != 'nobullet'):?>
ul li{
	list-style-type:none;
	margin:0;
	padding: 0 0 10px 35px;
	margin-left: -10px;
	margin-bottom: 5px;
	background:url(<?=$image_url?>/<?=$bullet;?>.png) no-repeat top left;
	line-height:20px;
}
<?endif;?>
ol li{
margin-bottom:5px;
}

<?if($add_border):?>
#border{
	border: solid 1px #999;
}
<?endif;?>
<?if($round_border):?>
#border{
	-moz-border-radius: 20px;
	-webkit-border-radius: 20px;
	-khtml-border-radius: 20px;
	border-radius: 20px;
}
<?endif;?>
<?if($add_shadow):?>
#border{
	-moz-box-shadow: 0 0 20px #999;
	-webkit-box-shadow: 0 0 20px #999;
	box-shadow: 0px 0px 20px #999;
}
<?endif;?>

.alignleft{
	float: left;
	margin-right:10px;
}
.alignright{
	float: right;
	margin-left:10px;
}
.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
<?if($round_border OR $layout == 'fullscreen'):?>

.round{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10px;
}
<?endif;?>
.getFreeAccess{
	height: 115px;
	width: 250px;
	position: relative;
	background:url(<?=$image_url?>/<?=$arrows;?>.png) no-repeat; 
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.box{
	padding:10px;
	width: 280px;
	text-align: center;
	<?if($arrows AND $layout != 'fullscreen'):?>
	padding-top:45px;
	margin-top: -60px;
	<?endif;?>
	<?if($layout != 'fullscreen'):?>

	<?if($box_bg=='boxblue'):?>
		background:#e0ecf5;
		border:1px solid #438ec5;
	<?elseif($box_bg=='boxgrey'):?>
		background:#e7e7e7;
		border:1px solid #b9b9b9;
	<?elseif($box_bg=='boxgreen'):?>
		background:#eaffe9;
		border:1px solid #b9dab8;
	<?elseif($box_bg=='boxred'):?>
		background:#fce4e3;
		border:1px solid #ce0b0b;
	<?elseif($box_bg=='boxyellow'):?>
		background:#ffffcb;
		border:1px solid #fff0ae;
	<?endif;?>

	<?else:?>

	-moz-box-shadow: 0 0 5px #666;
	-webkit-box-shadow: 0 0 5px #666;
	box-shadow: 0px 0px 5px #666;

	<?if($box_bg_dark=='boxBlack'):?>
		background: #000;
	<?elseif($box_bg_dark=='boxDarkGreen'):?>
		background: #1e372f;
	<?elseif($box_bg_dark=='boxDarkBlue'):?>
		background: #2b5ba1;
	<?elseif($box_bg_dark=='boxDarkRed'):?>
		background: #760a00;
	<?elseif($box_bg_dark=='boxWhite'):?>
		background: #fff;

	<?endif;?>
	<?endif;?>
}  
.actionText{
	margin: 10px 0px 10px 0px;
	font-size: 18px;
	font-weight: bold;
	<?if($layout == 'fullscreen' AND $box_bg_dark != 'boxWhite'):?>
	color: #fff;
	<?endif;?>
}
.privacyText{
	<?if($layout == 'fullscreen' AND $box_bg_dark != 'boxWhite'):?>
	color: #fff;
	<?endif;?>
}
/*opacity:0.4;
filter:alpha(opacity=40); /* For IE8 and earlier */
</style>